package cn.pluss.platform.wap;

/**
 * @author yuchen
 *
 * @Description 
 * wap端 乐刷支付dto
 */
public class MerchantLeshuaDTO {
	
	/**
	 * 是否是会员（微信的时候才有） 1是会员
	 */
	private String isMember;
	
	/**
	 * 微信 weixinPay 会员卡支付memberPay
	 */
	private String radioPay;
	
	
	/**
	 * 消费金额
	 */
	private  Double comsumeMoney;
	
	/**
	 * 乐刷商户id
	 */
	private String leshuaMchId;
	
	/**
	 * 当前商户code
	 */
	private String merchantCode;
	
	/**
	 * 当前门店id
	 */
	private String storeId;
	
	/**
	 * 支付方式 ZFBZF 支付宝支付  WXZF 微信支付
	 */
	private String payWay;
	
	private String userImg;
	
	private String nickName;
	
	private String remark;
	
	private String openId;

	private String ip;

	
	
	
	public String getOpenId() {
		return openId;
	}

	public void setOpenId(String openId) {
		this.openId = openId;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public Double getComsumeMoney() {
		return comsumeMoney;
	}

	public void setComsumeMoney(Double comsumeMoney) {
		this.comsumeMoney = comsumeMoney;
	}

	public String getLeshuaMchId() {
		return leshuaMchId;
	}

	public void setLeshuaMchId(String leshuaMchId) {
		this.leshuaMchId = leshuaMchId;
	}

	public String getMerchantCode() {
		return merchantCode;
	}

	public void setMerchantCode(String merchantCode) {
		this.merchantCode = merchantCode;
	}

	public String getStoreId() {
		return storeId;
	}

	public void setStoreId(String storeId) {
		this.storeId = storeId;
	}

	public String getPayWay() {
		return payWay;
	}

	public void setPayWay(String payWay) {
		this.payWay = payWay;
	}

	public String getUserImg() {
		return userImg;
	}

	public void setUserImg(String userImg) {
		this.userImg = userImg;
	}

	public String getNickName() {
		return nickName;
	}

	public void setNickName(String nickName) {
		this.nickName = nickName;
	}

	public String getIsMember() {
		return isMember;
	}

	public void setIsMember(String isMember) {
		this.isMember = isMember;
	}

	public String getRadioPay() {
		return radioPay;
	}

	public void setRadioPay(String radioPay) {
		this.radioPay = radioPay;
	}

	public String getIp() {
		return ip;
	}

	public void setIp(String ip) {
		this.ip = ip;
	}
}

